Subject: Re: [Bitcoin-development] After compressed pubkeys: hybrid pubkeys

From: Gregory Maxwell <[email-masked]>
Date: Sat, 16 Jun 2012 19:39:00 -0400

On Sat, Jun 16, 2012 at 5:41 PM, Gavin Andresen <[email-masked]> wrote:
> RE: 0x06/0x07 'hybrid' public keys:
>
>> Any opinions? Forbidding it certainly makes alternative implementation
>> slightly easier in the future, but I'm not sure the hassle of a network
>> rule change is worth it.
>
> I say treat any transactions that use them as 'non-standard' -- don't
> relay/mine them by default, but accept blocks that happen to contain
> them.
>
> I agree that a rule change isn't worth it right now, but making them
> non-standard now is easy and should make a rule change in the future
> easier.

ACK.  Hopefully no one will mine these before we can merge denying
them into another rule change. But if they do, oh well.